> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Speech-02-Hd - Voice Clone - gptproto

> Speech-02-Hd — Voice Clone (gptproto). GPTProto API reference.

Minimax's GPTProto format for the voice clone API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/api/v3/minimax/voice-clone" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-02-hd",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "Hello! Welcome to Gptproto! This is a preview of your cloned voice. I hope you enjoy it!"
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/api/v3/minimax/voice-clone"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-02-hd",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "Hello! Welcome to Gptproto! This is a preview of your cloned voice. I hope you enjoy it!"
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/api/v3/minimax/voice-clone";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "accuracy": 0.7,
    "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
    "custom_voice_id": "Alice-jiuhao-2",
    "model": "speech-02-hd",
    "need_noise_reduction": false,
    "need_volume_normalization": false,
    "text": "Hello! Welcome to Gptproto! This is a preview of your cloned voice. I hope you enjoy it!"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/api/v3/minimax/voice-clone"

      payload := []byte(`{
  "accuracy": 0.7,
  "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
  "custom_voice_id": "Alice-jiuhao-2",
  "model": "speech-02-hd",
  "need_noise_reduction": false,
  "need_volume_normalization": false,
  "text": "Hello! Welcome to Gptproto! This is a preview of your cloned voice. I hope you enjoy it!"
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter                   | Type    | Required | Default                                                                                                                | Description                         |
| --------------------------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| `accuracy`                  | number  | ❌ No     | `0.7`                                                                                                                  | Accuracy parameter                  |
| `audio`                     | string  | ❌ No     | `https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3` | Audio parameter                     |
| `custom_voice_id`           | string  | ❌ No     | `Alice-jiuhao-2`                                                                                                       | Custom Voice Id parameter           |
| `model`                     | string  | ✅ Yes    | `speech-02-hd`                                                                                                         | The model to use for the request    |
| `need_noise_reduction`      | boolean | ❌ No     | `false`                                                                                                                | Need Noise Reduction parameter      |
| `need_volume_normalization` | boolean | ❌ No     | `false`                                                                                                                | Need Volume Normalization parameter |
| `text`                      | string  | ❌ No     | `Hello! Welcome to Gptproto! This is a preview of your cloned voice. I hope you enjoy it!`                             | Text parameter                      |
